Bug 1625965 - RHEL8 provisioning requires more than one enabled repository
Summary: RHEL8 provisioning requires more than one enabled repository
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: Stephen Benjamin
QA Contact: Jan Hutař
URL:
Whiteboard:
: 1654880 (view as bug list)
Depends On: 1673032
Blocks: 1670100
TreeView+ depends on / blocked
 
Reported: 2018-09-06 09:59 UTC by Adam Ruzicka
Modified: 2019-10-07 17:37 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:51 UTC


Attachments (Terms of Use)
The error message while using two repo lines in the kickstart provisioning file (23.71 KB, image/png)
2018-12-07 11:14 UTC, Jan Gerrit Kootstra
no flags Details
The kickstart provisioning file I created by cloning the kickstart default (6.58 KB, text/plain)
2018-12-07 11:22 UTC, Jan Gerrit Kootstra
no flags Details
When trying to fix the installation source issue only one repository is shown (27.67 KB, image/png)
2018-12-07 11:34 UTC, Jan Gerrit Kootstra
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:03 UTC
Foreman Issue Tracker 25284 None None None 2018-10-23 13:18:07 UTC
Red Hat Bugzilla 1618361 None None None 2019-10-10 14:16:48 UTC

Internal Links: 1618361

Comment 15 Stephen Benjamin 2018-10-23 13:18:03 UTC
Created redmine issue https://projects.theforeman.org/issues/25284 from this bug

Comment 16 pm-sat@redhat.com 2018-10-23 14:02:55 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 17 pm-sat@redhat.com 2018-10-23 14:03:01 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 18 pm-sat@redhat.com 2018-11-06 19:02:47 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25284 has been resolved.

Comment 19 Jiri Konecny 2018-12-03 10:02:09 UTC
*** Bug 1654880 has been marked as a duplicate of this bug. ***

Comment 20 Jan Gerrit Kootstra 2018-12-06 13:56:49 UTC
Is there a way to test the proposed solution?

Comment 21 Stephen Benjamin 2018-12-06 14:22:23 UTC
What are you looking to test? RHEL 8 support is planned for Satellite 6.5.

If you are using 6.4 or earlier, and have synced the RHEL 8 content, you might be able to get it to work by manually editing the kickstart template, and adding a `repo` directive pointing at AppStream in addition to BaseOS, and updating any packages (e.g. use chrony instead of ntpd), but it wouldn't be a supported configuration.

Comment 22 Jan Gerrit Kootstra 2018-12-06 14:45:03 UTC
I am running a Satellite 6.4 and wish to deploy RHEL 6.8 beta.
I am aware that both are not supported by Red Hat, that is always the case with Beta pre-releases.

Which kickstart template provided by Red Hat has to be edited to be able to do the deployment?

Comment 23 Stephen Benjamin 2018-12-06 14:46:59 UTC
6.8 Beta? Do you mean 8.0? 

It's called Kickstart default in Satellite 6.4, I believe, you'd have to unlock it or clone it to edit it.

Comment 24 Jan Gerrit Kootstra 2018-12-06 14:51:02 UTC
RHEL 8.0 beta, sorry for the type error

Comment 25 Jan Gerrit Kootstra 2018-12-06 18:34:38 UTC
Multiple repo lines in kickstart template causes an installation resource error in anaconda.

Comment 26 Adam Ruzicka 2018-12-07 09:57:58 UTC
@Jan: Could you post the template you used?

The RHEL7 docs[1] say it should work and when I last tried it it worked.

> You can add multiple repo lines. 

[1] - https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/installation_guide/sect-kickstart-syntax

Comment 27 Jan Gerrit Kootstra 2018-12-07 11:14:33 UTC
Created attachment 1512443 [details]
The error message while using two repo lines in the kickstart provisioning file

Screen grab of the console showing that the installation source is invalid.

Comment 28 Jan Gerrit Kootstra 2018-12-07 11:22:30 UTC
Created attachment 1512446 [details]
The kickstart provisioning file I created by cloning the kickstart default

Comment 29 Jan Gerrit Kootstra 2018-12-07 11:24:56 UTC
@Adam: I added the a picture of the installation screen showing the error situation too.

Comment 30 Jan Gerrit Kootstra 2018-12-07 11:34:03 UTC
Created attachment 1512448 [details]
When trying to fix the installation source issue only one repository is shown

I do not see both repositories, only the BaseOS

Comment 31 Adam Ruzicka 2018-12-07 11:53:03 UTC
My guess would be you need to provide --baseurl=$URL_TO_REPO_IN_SATELLITE to the repo lines. Without it anaconda doesn't know where it should find the "Red Hat Enterprise Linux 8 for x86_64 - AppStream Beta (RPMs)" repository. But take this with a grain of salt, I don't have a machine at hand to test it

Comment 32 Jan Gerrit Kootstra 2018-12-07 12:02:16 UTC
@Adam: I will test it.

Comment 33 Jan Gerrit Kootstra 2018-12-07 12:57:19 UTC
@Adam: It did not fix the issue.
Even though I specified the baseurl as https URLs, anaconda shows the baseos as a http URL and fails to continue.
Will stick to an ISO installation from libvirtd for now.

Comment 38 errata-xmlrpc 2019-05-14 12:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.